function lxbaozi_choose()

mid=map.GetCurrentMapID()--地图id

cv=flag.GetValue(10160)
	if cv==1 then
		if mid==28 then --折剑
		--battle.Begin(2036,318)
        elseif mid==29 then --蜀山
        --battle.Begin(1049,318)
        elseif mid==1060 then  --戈壁
        --battle.Begin(2015,318)
        end
        
        
	elseif cv==2 then
    ui.Dialog(74385,100,0,npc.GetCurrentID(),0,0)--有时间再来啊！


	end
    player.Control(1)
end